﻿using Syncfusion.SfDataGrid.XForms;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using Xamarin.Forms;

namespace DataGridDemo
{
    public partial class Page1 : ContentPage
    {
        ViewModel viewModel;
        public Page1()
        {
            InitializeComponent();
            viewModel = new ViewModel();
            dataGrid.ItemsSource = viewModel.OrdersInfo;
            dataGrid.QueryRowHeight += DataGrid_QueryRowHeight;
        }

        private void DataGrid_QueryRowHeight(object sender, QueryRowHeightEventArgs e)
        {
            e.Height = SfDataGridHelpers.GetRowHeight(dataGrid, e.RowIndex);
            e.Handled = true;
        }
    }
}
